@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Contatos */
.genesis {
  margin-top: 0px;
  width: 100%;
  height: 180px;
  background-image: url(../img/ChatGPT\ Image\ May\ 5\,\ 2026\,\ 12_56_21\ PM.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  overflow: hidden;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.769);
}

.genesis h2 {
  margin-top: 50px;
  color: #fff;
  font-weight: bold;
  text-transform: uppercase;
}

.genesis p {
  color: #fac117;
  margin-top: -5px;
  font-size: 1em;
  font-weight: 500;
}

/* Nossos Portfólio */
.portfolio {
  text-align: center;
  margin-top: 50px;
}

.portfolio h2 {
  text-transform: uppercase;
  font-weight: bold;
  color: #ea6f04;
}

.portfolio p {
  font-weight: 600;
}


/* Galeria de trabalhos Feito */
.portefolio {
  margin-top: 50px;
  width: 100%;
	height: 250px;
	background: #fff;
	display: flex;
	align-items: flex-end;
	padding: 2rem 1rem;
	position: relative;
	transition: 0.5s all ease-in-out;
}
.portefolio:hover {
	transform: translateY(-10px);
}
.portefolio::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	  width: 100%;
	height: 250px;
	background: linear-gradient(to bottom, rgba(234, 111, 4, 0.74), rgb(0, 0, 0));
	z-index: 2;
	opacity: 0;
	transition: 0.5s all;
}
.portefolio:hover::before {
	opacity: 1;
}

.portefolio img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	position: absolute;
	top: 0;
	left: 0;
}
.portefolio .info {
	position: relative;
	color: #fff;
	z-index: 3;
	opacity: 0;
	transform: translateY(30px);
	transition: 0.5s all;
}
.portefolio:hover .info {
	opacity: 1;
	transform: translateY(0);
}

.portefolio h6 {
  font-weight: 600;
}
.portefolio .info p {
	font-size: 15px;
	margin-bottom: 20px;
}
.portefolio .info .btn {
	background: #fff;
	padding: 0.5rem 1rem;
	color: #000;
	font-size: 12px;
	cursor: pointer;
	border-radius: 20px;
	text-decoration: none;
	font-weight: bold;
	transition: .4s ease-in-out;
}
.portefolio .info .btn:hover {
	background: #ea6f04;
	color: #fff;
	box-shadow: 0 7px 10px rgba(0, 0, 0, 0.5);
}


/* Para Telemóvel e Tablet */
@media(max-width: 768px) {

  /* Contatos */
  .genesis {
    margin-top: 0px;
    width: 100%;
    height: 200px;
    background-image: url(../img/ChatGPT\ Image\ May\ 5\,\ 2026\,\ 12_56_21\ PM.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    overflow: hidden;
  }

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.769);
  }

  .genesis h2 {
    margin-top: 40px;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
  }

  .genesis p {
    color: #fac117;
    margin-top: -5px;
    font-size: 1.1em;
    font-weight: 500;
  }

  video {
    width: 100%;
    height: 200px;
    margin-top: 40px;
    margin-left: 0px;
  }


}